import java.util.*;

interface ToJson {
  String generateJSON();
}

record Location(double latitude, double longitude, String name) implements ToJson {
  public String generateJSON() {
    return """
    {
      "latitude": %g,
      "longitude": %g,
      "name": %s
    }
    """.formatted(latitude, longitude, name);
  }
}

public class Sample {
  public static void main(String[] args) {
    var alcatraz = new Location(37.827, -122.423, "The Rock");

    System.out.println(alcatraz);
    System.out.println(alcatraz.generateJSON());
  }
}

